com.ihr.xbrl.mapper.filters

## Class XBRLConceptNameFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLConceptNameFilter

- All Implemented Interfaces:
    XBRLFacetFilter

      public class XBRLConceptNameFilter
      extends java.lang.Object
      implements XBRLFacetFilter

  The Class XBRLConceptNameFilter.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLConceptNameFilter(java.lang.String id, javax.xml.namespace.QName name)` Instantiates a new XBRL concept name filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLFacetFilter` | `compileFilter(net.sf.saxon.s9api.XdmNode filterNode, net.sf.saxon.s9api.XPathCompiler xp)` Compile filter.
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.
    `javax.xml.namespace.QName` | `getConceptName()` Gets the concept name.
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `void` | `setConceptName(javax.xml.namespace.QName name)` Sets the concept name.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLConceptNameFilter

          public XBRLConceptNameFilter(java.lang.String id,
                               javax.xml.namespace.QName name)

      Instantiates a new XBRL concept name filter.
      Parameters:
        `id` - the id
        `name` - the name

  - ### Method Detail

    - #### setConceptName

          public void setConceptName(javax.xml.namespace.QName name)

      Sets the concept name.
      Parameters:
        `name` - the new concept name

    - #### getConceptName

          public javax.xml.namespace.QName getConceptName()

      Gets the concept name.
      Returns:
        the concept name

    - #### matches

          public boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Description copied from interface: `XBRLFacetFilter`
      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Specified by:
        `matches` in interface `XBRLFacetFilter`
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### createFilterNode

          public org.jdom.Element createFilterNode()

      Description copied from interface: `XBRLFacetFilter`
      Returns a node representing the serialization of this filter so it can be created later from the node.
      Specified by:
        `createFilterNode` in interface `XBRLFacetFilter`
      Returns:
        org.jdom.Element

    - #### compileFilter

          public static XBRLFacetFilter compileFilter(net.sf.saxon.s9api.XdmNode filterNode,
                                      net.sf.saxon.s9api.XPathCompiler xp)
                                               throws LoaderException

      Compile filter.
      Parameters:
        `filterNode` - the filter node
        `xp` - the xp
      Returns:
        the XBRL facet filter
      Throws:
        `LoaderException` - the loader exception

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `XBRLFacetFilter`
      Gets the id.
      Specified by:
        `getId` in interface `XBRLFacetFilter`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `XBRLFacetFilter`
      Sets the id.
      Specified by:
        `setId` in interface `XBRLFacetFilter`
      Parameters:
        `id` - the new id